DES Class Reference

DES block cipher. More...

Inheritance diagram for DES:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Static Public Member Functions

static bool | CheckKeyParityBits (const byte *key)
| check DES key parity bits
static void | CorrectKeyParityBits (byte *key)
| correct DES key parity bits
Static Public Member Functions inherited from DES_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 8 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

DES block cipher.

The DES implementation in Crypto++ ignores the parity bits (the least significant bits of each byte) in the key. However you can use CheckKeyParityBits() and CorrectKeyParityBits() to check or correct the parity bits if you wish.

See also
  DES

Definition at line 42 of file des.h.

The documentation for this class was generated from the following files:

- des.h
- des.cpp